> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qonto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List transactions

> OAuth scope: `organization.read`

Retrieves the list of transactions for the bank account identified by the `bank_account_id` / `iban` query parameter.

You can filter (ex: only retrieve the latest transactions) and sort this list by using [query parameters](#parameter-bank-account-id) 👇

<Info>
  All transactions visible in Qonto's UI can be retrieved, as of API V2.
</Info>




## OpenAPI

````yaml get /v2/transactions
openapi: 3.1.1
info:
  version: v2
  title: Qonto
servers:
  - url: https://thirdparty.qonto.com
    description: Production URL
  - url: https://thirdparty-sandbox.staging.qonto.co
    description: Sandbox URL
security:
  - OAuth:
      - organization.read
      - membership.read
      - membership.write
      - attachment.write
      - internal_transfer.write
      - payment.write
      - supplier_invoice.write
      - supplier_invoice.read
      - client_invoices.read
      - client_invoice.write
      - client.read
      - client.write
      - product.read
      - product.write
      - request_review.write
      - request_review.read
      - team.read
      - team.write
      - request_transfers.write
      - insurance_contract.read
      - insurance_contract.write
      - card.read
      - card.write
      - bank_account.write
      - beneficiary.trust
      - webhook
      - payment_link.write
      - payment_link.read
      - sepa_direct_debit.read
      - sepa_direct_debit.write
      - terminal.read
      - terminal.write
  - SecretKey: []
paths:
  /v2/transactions:
    get:
      tags:
        - Transactions
      summary: List transactions
      description: >
        OAuth scope: `organization.read`


        Retrieves the list of transactions for the bank account identified by
        the `bank_account_id` / `iban` query parameter.


        You can filter (ex: only retrieve the latest transactions) and sort this
        list by using [query parameters](#parameter-bank-account-id) 👇


        <Info>
          All transactions visible in Qonto's UI can be retrieved, as of API V2.
        </Info>
      parameters:
        - $ref: '#/components/parameters/X-Qonto-Staging-Token'
        - name: bank_account_id
          in: query
          description: >-
            `id` of the bank account for which transactions will be retrieved.
            Use [/v2/organization](openapi_v2.yml/paths/~1v2~1organization/get)
            to get this parameter. If both `bank_account_id` and `iban` are
            specified, `bank_account_id` takes precedence.
          allowReserved: false
          schema:
            type: string
            example: 018f71db-c635-78b5-b90a-ea05de98c2bf
        - name: iban
          in: query
          description: >-
            IBAN of the bank account for which transactions will be retrieved.
            Use [/v2/organization](openapi_v2.yml/paths/~1v2~1organization/get)
            to get this parameter. If both `bank_account_id` and `iban` are
            specified, `bank_account_id` takes precedence.
          schema:
            type: string
            example: FR7616798000010000005663951
        - name: includes[]
          in: query
          description: >-
            Use this query parameter to embed the associated resources (labels,
            attachments and/or VAT details) of the transactions in the JSON
            response.
          schema:
            type: array
            items:
              type: string
              enum:
                - vat_details
                - labels
                - attachments
        - name: status[]
          in: query
          description: >-
            Transactions can be filtered by their `status` property.

            Possible values:

            - `pending`: a transaction that is processing and has impacted the
            bank account's `auth_balance` but not its `balance`;

            - `declined`: a transaction that has been declined;

            - `completed`: a transaction that is completed, and has impacted the
            bank account's `balance`.


            When not specified, only `completed` transactions will be returned.
          schema:
            type: array
            items:
              type: string
              default: completed
              enum:
                - pending
                - declined
                - completed
              example: status[]=completed&status[]=declined&status[]=pending
        - name: updated_at_from
          in: query
          description: >-
            Transactions can be filtered by their `updated_at` property. This
            filter can be used in combination with the `updated_at_to` query
            parameter to get transactions updated within a specific timeframe.
            Please use a valid date time format (**ISO 8601** for instance). 
          schema:
            type: string
            example: '2019-01-10T11:47:53.123Z'
        - name: updated_at_to
          in: query
          description: >-
            Transactions can be filtered by their `updated_at` property. This
            filter can be used in combination with the `updated_at_to` query
            parameter to get transactions updated within a specific timeframe.
            Please use a valid date time format (**ISO 8601** for instance).
          schema:
            type: string
            example: '2019-01-10T11:47:53.123Z'
        - name: created_at_from
          in: query
          description: >-
            Transactions can be filtered by their `created_at` property. Can be
            use in combination with the `created_at_to` query parameter to get
            transactions emitted within a specific timeframe. Please use a valid
            date time format (**ISO 8601** for instance).
          schema:
            type: string
            example: '2019-01-10T11:47:53.123Z'
        - name: created_at_to
          in: query
          description: >-
            Transactions can be filtered by their `created_at` property. This
            filter can be used in combination with the `created_at_from` query
            parameter to get transactions emitted within a specific timeframe.
            Please use a valid date time format (**ISO 8601** for instance).
          schema:
            type: string
            example: '2019-01-10T11:47:53.123Z'
        - name: emitted_at_from
          in: query
          description: >-
            Transactions can be filtered by their `emitted_at` property. Can be
            use in combination with the `emitted_at_to` query parameter to get
            transactions emitted within a specific timeframe. Please use a valid
            date time format (**ISO 8601** for instance).
          schema:
            type: string
            example: '2019-01-10T11:47:53.123Z'
        - name: emitted_at_to
          in: query
          description: >-
            Transactions can be filtered by their `emitted_at` property. This
            filter can be used in combination with the `emitted_at_from` query
            parameter to get transactions emitted within a specific timeframe.
            Please use a valid date time format (**ISO 8601** for instance).
          schema:
            type: string
            example: '2019-01-10T11:47:53.123Z'
        - name: settled_at_from
          in: query
          description: >-
            Transactions can be filtered by their `settled_at` property. This
            filter can be used in combination with the `settled_at_to` query
            parameter to get transactions settled within a specific timeframe.
            Please use a valid date time format (**ISO 8601** for instance).
          schema:
            type: string
            example: '2019-01-10T11:47:53.123Z'
        - name: settled_at_to
          in: query
          description: >-
            Transactions can be filtered by their `settled_at` property. This
            filter can be used in combination with the `settled_at_from` query
            parameter to get transactions settled within a specific timeframe.
            Please use a valid date time format (**ISO 8601** for instance).
          schema:
            type: string
            example: '2019-01-10T11:47:53.123Z'
        - name: side
          in: query
          description: Transactions can be filtered by their `side` property.
          schema:
            type: string
            enum:
              - credit
              - debit
        - name: operation_type[]
          in: query
          description: Transactions can be filtered by their `operation_type` property.
          schema:
            type: array
            items:
              type: string
            example: >-
              operation_type[]=card&operation_type[]=transfer&operation_type[]=income&operation_type[]=account_remuneration
        - name: with_attachments
          in: query
          description: >-
            Transactions can be filtered based on the presence of one or more
            attachments.
          schema:
            type: boolean
            enum:
              - 'true'
              - 'false'
        - name: sort_by
          in: query
          description: |-
            Transactions can be sorted by a specific property and order.
            Property: `created_at`, `updated_at`, `settled_at` or `emitted_at`
            Order: `asc` (Ascending) / `desc` (Descending)
          schema:
            type: string
            format: property:order
            default: '`settled_at:desc`'
        - name: page
          in: query
          description: Returned page (cf. [Pagination](/get-started/general/pagination)).
          schema:
            type: string
        - name: per_page
          in: query
          description: >-
            Number of transactions per page (cf.
            [Pagination](/get-started/general/pagination)).
          schema:
            type: string
      responses:
        '200':
          description: Returns the list of transactions for the specified bank account.
          content:
            application/json:
              schema:
                type: object
                properties:
                  transactions:
                    type: array
                    items:
                      $ref: '#/components/schemas/Transaction'
                  meta:
                    $ref: '#/components/schemas/Pagination'
              examples:
                Default:
                  value:
                    transactions:
                      - transaction_id: super-transaction-7468
                        amount: 0.43
                        amount_cents: 43
                        settled_balance: 111.1
                        settled_balance_cents: 11110
                        attachment_ids: []
                        local_amount: 0.43
                        local_amount_cents: 43
                        side: debit
                        operation_type: transfer
                        currency: EUR
                        local_currency: EUR
                        label: Ferry-Purdy
                        settled_at: '2021-03-03T16:06:38.000Z'
                        emitted_at: '2021-02-25T16:22:37.000Z'
                        updated_at: '2020-12-12T19:52:10.000Z'
                        status: completed
                        note: Rhea Ernser
                        reference: null
                        vat_amount: null
                        vat_amount_cents: null
                        vat_rate: null
                        initiator_id: ccdcef78-1aa1-4d44-b991-b10005a4ad1a
                        label_ids:
                          - 6450e541-0a6f-4153-a46e-34d98848e280
                        attachment_lost: false
                        attachment_required: true
                        card_last_digits: '1234'
                        category: gas_station
                        cashflow_category:
                          name: Others
                        cashflow_subcategory:
                          name: Tips
                        id: df346899-3595-421a-8b26-f9d9616ce496
                        subject_type: transfer
                        transfer:
                          counterparty_account_number: NL93RABO3730976796
                          counterparty_account_number_format: IBAN
                          counterparty_bank_identifier: RABO
                          counterparty_bank_identifier_format: SWIFT_BIC
                    meta:
                      current_page: 1
                      next_page: null
                      prev_page: null
                      total_pages: 1
                      total_count: 1
                      per_page: 100
                Example 1:
                  value:
                    transactions:
                      - id: string
                        transaction_id: string
                        amount: 10,00
                        amount_cents: 1000
                        settled_balance: 0
                        settled_balance_cents: 0
                        attachment_ids:
                          - string
                        local_amount: 10,87
                        local_amount_cents: 1087
                        logo:
                          small: >-
                            https://qonto.com/customized-qonto-brand-logos/small.png
                          medium: >-
                            https://qonto.com/customized-qonto-brand-logos/medium.png
                        side: string
                        operation_type: string
                        currency: string
                        local_currency: USD
                        label: string
                        settled_at: string
                        emitted_at: string
                        updated_at: string
                        status: string
                        note: string
                        reference: string
                        vat_amount: 0
                        vat_amount_cents: 0
                        vat_rate: 10
                        initiator_id: string
                        label_ids:
                          - string
                        attachment_lost: true
                        attachment_required: true
                        card_last_digits: string
                        category: string
                        subject_type: string
                        bank_account_id: string
                        is_external_transaction: true
                        attachments:
                          - id: string
                            created_at: string
                            file_name: string
                            file_size: string
                            file_content_type: string
                            url: string
                            probative_attachment:
                              status: string
                        labels:
                          - id: string
                            name: string
                            parent_id: string
                        vat_details:
                          items:
                            - amount: string
                              amount_cents: string
                              amount_excluding_vat: string
                              amount_excluding_vat_cents: string
                              rate: string
                        transfer:
                          counterparty_account_number: string
                          counterparty_account_number_format: string
                          counterparty_bank_identifier: string
                          counterparty_bank_identifier_format: string
                        income:
                          counterparty_account_number: string
                          counterparty_account_number_format: string
                          counterparty_bank_identifier: string
                          counterparty_bank_identifier_format: string
                        swift_income:
                          counterparty_account_number: string
                          counterparty_account_number_format: string
                          counterparty_bank_identifier: string
                          counterparty_bank_identifier_format: string
                        direct_debit:
                          counterparty_account_number: string
                          counterparty_account_number_format: string
                          counterparty_bank_identifier: string
                          counterparty_bank_identifier_format: string
                        direct_debit_collection:
                          counterparty_account_number: string
                          counterparty_account_number_format: string
                          counterparty_bank_identifier: string
                          counterparty_bank_identifier_format: string
                          unique_mandate_reference: string
                        check:
                          check_number: string
                          check_key: string
                        financing_installment:
                          total_installments_number: 0
                          current_installment_number: 0
                        pagopa_payment:
                          notice_number: string
                          creditor_fiscal_code: string
                          iuv: string
                    meta:
                      current_page: 0
                      next_page: null
                      prev_page: null
                      total_pages: 0
                      total_count: 0
                      per_page: 100
        '400':
          $ref: '#/components/responses/400-Bad-request'
        '401':
          $ref: '#/components/responses/401-Unauthorized'
        '403':
          $ref: '#/components/responses/403-Forbidden'
        '422':
          description: Returns an unprocessable entity error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    $ref: '#/components/schemas/UnprocessableEntityError'
                x-examples:
                  Example 1:
                    errors:
                      - code: missing
                        detail: bank_account_id or iban is missing
              examples:
                Missing query parameter:
                  value:
                    errors:
                      - code: missing
                        detail: bank_account_id or iban is missing
        '500':
          $ref: '#/components/responses/500-Internal-Server-Error'
      security:
        - OAuth:
            - organization.read
        - SecretKey: []
components:
  parameters:
    X-Qonto-Staging-Token:
      name: X-Qonto-Staging-Token
      in: header
      description: >-
        Required only for Sandbox API requests; to get one, please sign up to
        the [Developer Portal](https://developers.qonto.com/).
      schema:
        type: string
  schemas:
    Transaction:
      type: object
      properties:
        id:
          type: string
          description: UUID of the transaction.
        transaction_id:
          type: string
        amount:
          type: number
          description: Amount of the transaction in the currency of the bank account.
          format: float
          example: 10,00
        amount_cents:
          type: integer
          description: Amount of the transaction in the currency of the bank account.
          example: 1000
        settled_balance:
          type:
            - number
            - 'null'
          description: >-
            The account balance at the moment the transaction was settled. Might
            be empty for external transaction (i.e. when
            `is_external_transaction == true`).
        settled_balance_cents:
          type:
            - integer
            - 'null'
          description: >-
            The account balance at the moment the transaction was settled. Might
            be empty for external transaction (i.e. when
            `is_external_transaction == true`).
          default: 0
        attachment_ids:
          type: array
          description: >-
            Array of UUIDs, corresponding to the attachments (up to 5) uploaded
            on the transaction. You can obtain details for each attachment using
            [Get
            attachment](/reference/openapi_v2.yml/paths/~1v2~1attachments~1%7Bid%7D/get).
          items:
            type:
              - string
              - 'null'
        logo:
          type: object
          description: >-
            Object containing URLs to small and medium-sized logos associated
            with the transaction.
          properties:
            small:
              type: string
            medium:
              type: string
        local_amount:
          type: number
          description: Amount of the transaction in the **foreign currency** (if any).
          format: float
          example: 10,87
        local_amount_cents:
          type: integer
          description: Amount of the transaction in the **foreign currency** (if any).
          example: 1087
        side:
          type: string
          description: |-
            - `credit`: incoming transaction
            - `debit`: outgoing transaction
        operation_type:
          type: string
          description: >-
            Available options:

            - `income`: an incoming transfer

            - `transfer`: an outgoing transfer

            - `card`: a card payment

            - `card_acquirer_payout`: a daily payout transaction from Tap to Pay
            card payments

            - `direct_debit`: a SEPA Direct Debit (payments collected from you
            by other businesses)

            - `direct_debit_collection`: a SEPA Direct Debit Collection
            (payments collected from other businesses by you)

            - `direct_debit_hold`: a hold for a Direct Debit Collection, or its
            release

            - `qonto_fee`: a Qonto fee (subscription, atm withdrawal, fx
            card...)

            - `cheque`: a check cashed on the account

            - `recall`: recall of an incoming transfer (by the emitter
            beneficiary or bank)

            - `swift_income`: a SWIFT incoming transfer

            - `pay_later`: a transaction related to financing

            - `financing_installment`: a transaction related to an installment
            of a financed transfer

            - `account_remuneration` : earnings paid by Qonto based on your
            account balance and transaction history

            - `f24`: a tax payment transaction to Italian government agencies
            using the F24 form

            - `pagopa_payment`: a payment transaction to Italian public
            institutions or utility companies via PagoPA

            - `nrc_payment`: a tax payment transaction to Spanish tax
            authorities (AEAT) with NRC reference

            - `riba_payment`: a payment transaction from a supplier's payment
            request (Italian market)

            - `investment`: a transaction related to MMF investment orders

            - `other`: an external transaction for which the type of transaction
            is unknown
        currency:
          type: string
          description: |
            `euros` is the only bank account currency supported by Qonto.
        local_currency:
          type: string
          example: USD
        label:
          type: string
          description: Name of the counterparty of the transaction.
        clean_counterparty_name:
          type:
            - string
            - 'null'
          description: Simplified and standardized version of the counterparty's name.
        settled_at:
          type:
            - string
            - 'null'
          description: >-
            Date and time, in UTC, at which the transaction was finally
            committed to the account, and got set to a `completed` status.

            <br>Do note: the `settled_at` value can be `null`, for transaction
            which aren't `completed` (i.e. `pending`, `reversed` and 
            `declined`).
        emitted_at:
          type: string
          description: >-
            Date and time, in UTC, at which the transaction was first authorized
            and recorded on the bank account.
        created_at:
          type: string
          description: Date and time, in UTC, at which the transaction was created.
        updated_at:
          type: string
          description: >-
            Date and time, in UTC, at which the transaction object was last
            updated (any state change will trigger a bump of this timestamp).
        status:
          type: string
        note:
          type:
            - string
            - 'null'
        reference:
          type:
            - string
            - 'null'
        vat_amount:
          type:
            - number
            - 'null'
          description: Amount aggregate for all the VAT.
          format: float
        vat_amount_cents:
          type:
            - integer
            - 'null'
          description: Amount aggregate for all the VAT.
        vat_rate:
          type:
            - number
            - 'null'
          description: >-
            Rate selected or detected. The value can be `-1` for uncategorized
            rate (e.g in France any value which is not in `0`, `2.1`, `5.5`,
            `10`, `20`) or for transactions with multiple VAT.
          format: float
          example: 10
        initiator_id:
          type:
            - string
            - 'null'
        label_ids:
          type: array
          description: >-
            `id` of the custom label that user can add on a transaction for
            categorization purposes. These labels are accessible using the [GET
            /v2/labels/{id}](/api-reference/business-api/accounts-organizations/labels/retrieve-a-label)
            endpoint.
          items:
            type:
              - string
              - 'null'
        attachment_lost:
          type: boolean
          description: >-
            Sets to `true` if the attachment of the transaction was marked as
            lost.
        attachment_required:
          type: boolean
          description: >-
            Sets to `true` if the attachment of the transaction was marked as
            required.
        card_last_digits:
          type:
            - string
            - 'null'
        category:
          type: string
          deprecated: true
          description: >-
            This field is deprecated and is no longer shown in the UI. Please
            use `cashflow_category` and `cashflow_subcategory` instead. Possible
            values: <br> `restaurant_and_bar` `food_and_grocery` `transport`
            `gas_station` `hotel_and_lodging` `it_and_electronics`
            `hardware_and_equipment` `office_supply` `office_rental` `utility`
            `insurance` `logistics` `online_service` `legal_and_accounting`
            `finance` `tax` `salary` `marketing` `manufacturing` `atm`
            `other_service` `other_expense` `treasury_and_interco` `sales`
            `other_income` `refund` `fees` `subscription` `voucher` `fallback`
            `pending`
        cashflow_category:
          type:
            - object
            - 'null'
          description: Object containing the cash flow category object
          properties:
            name:
              type: string
        cashflow_subcategory:
          type:
            - object
            - 'null'
          description: Object containing the cash flow subcategory object
          properties:
            name:
              type: string
        subject_type:
          type: string
          description: >
            Identifies the type of transaction and maps to the nested additional
            fields with specific transaction data. Not to confuse with the
            property `operation_type` (explained above) which is a more specific
            categorisation of a transaction.


            Values:

            - `Card`: a card payment

            - `Transfer`: an outgoing transfer

            - `Income`: an incoming transfer

            - `DirectDebit`: a SEPA Direct Debit (payments collected from you by
            other businesses)

            - `DirectDebitCollection`: a SEPA Direct Debit Collection (payments
            collected from other businesses by you)

            - `DirectDebitHold`: a hold for a Direct Debit Collection, or its
            release

            - `WalletToWallet`: a transfer between two Qonto accounts

            - `Check`: a Check cashed on the account

            - `SwiftIncome`: a SWIFT incoming transfer

            - `PagopaPayment`: for electronic payments to central and local
            public administration entities

            - `F24Payment`: regulatory report in Italy that is used to pay taxes
            and social security to state entities

            - `BillingTransfer`: a transfer related to the billing of a Qonto
            account

            - `FinancingIncome`: financing for a transfer

            - `FinancingInstallment`: a repayment of the financing

            - `AccountRemuneration`: earnings paid by Qonto based on your
            account balance and transaction history

            - `Investment`: a transaction related to MMF investment orders

            - `Other`: an external transaction for which the type of transaction
            is unknown


            For the subject types `DirectDebit`, `DirectDebitCollection`,
            `DirectDebitHold`, `Income`, `SwiftIncome`, `Transfer`, `Check`,
            `PagopaPayment` and `FinancingInstallment`, you will find a nested
            object (e.g. `direct_debit`) with  additional fields.

            For subject types `AccountRemuneration` and `Investment` you will
            not find any extra nested objects.
        bank_account_id:
          type: string
        is_external_transaction:
          type: boolean
          description: >-
            Sets to `true` for transactions related to external bank accounts
            (cf.
            https://support-fr.qonto.com/hc/en-us/articles/24231375285777-How-to-connect-my-external-accounts-to-my-Qonto-interface).
        attachments:
          type:
            - array
            - 'null'
          description: >-
            Use the following parameter to include `attachments` in the
            response: `includes[]=attachments`.
          items:
            type: object
            properties:
              id:
                type: string
                description: UUID of the attachment.
              created_at:
                type: string
              file_name:
                type: string
              file_size:
                type: string
              file_content_type:
                type: string
              url:
                type: string
              probative_attachment:
                type: object
                properties:
                  status:
                    type: string
        labels:
          type: array
          description: >-
            Use the following parameter to include `labels` in the response:
            `includes[]=labels`.
          items:
            type: object
            properties:
              id:
                type: string
                description: UUID of the label.
              name:
                type: string
              parent_id:
                type: string
        vat_details:
          type: object
          description: >-
            Use the following parameter to include `vat_details` in the
            response: `includes[]=vat_details`.
          properties:
            items:
              type: array
              description: One item for each specific VAT line.
              items:
                type: object
                properties:
                  amount:
                    type: string
                  amount_cents:
                    type: string
                  amount_excluding_vat:
                    type: string
                  amount_excluding_vat_cents:
                    type: string
                  rate:
                    type: string
                    description: >-
                      Rate selected or detected. The value can be `-1` for
                      uncategorized rate (e.g in France any value which is not
                      in `0, 2.1, 5.5, 10, 20`).
        transfer:
          type:
            - object
            - 'null'
          properties:
            counterparty_account_number:
              type: string
              description: >
                Account number of the transaction’s counterparty. Might be empty
                for external transaction (i.e. when `is_external_transaction ==
                true`).
            counterparty_account_number_format:
              type: string
              description: >-
                Account number format of the transaction’s counterparty.


                Possible values are:

                - `IBAN`;

                -  Empty for external transaction (i.e. when
                `is_external_transaction == true`) **without IBAN**.
            counterparty_bank_identifier:
              type: string
              description: >-
                Bank identifier of the transaction’s counterparty. Might be
                empty for external transaction (i.e. when
                `is_external_transaction == true`).
            counterparty_bank_identifier_format:
              type: string
              description: >-
                Bank identifier format of the transaction’s counterparty.


                Possible values are:

                - `SWIFT_BIC`;

                - Empty for external transaction (i.e. when
                `is_external_transaction == true`) **without BIC**.
        income:
          type:
            - object
            - 'null'
          properties:
            counterparty_account_number:
              type: string
              description: >-
                Account number of the transaction’s counterparty. Might be empty
                for external transaction (i.e. when `is_external_transaction ==
                true`).
            counterparty_account_number_format:
              type: string
              description: >-
                Account number format of the transaction’s counterparty.


                Possible values are:

                - `IBAN`;

                -  Empty for external transaction (i.e. when
                `is_external_transaction == true`) **without IBAN**.
            counterparty_bank_identifier:
              type: string
              description: >-
                Bank identifier of the transaction’s counterparty. Might be
                empty for external transaction (i.e. when
                `is_external_transaction == true`).
            counterparty_bank_identifier_format:
              type: string
              description: >-
                Bank identifier format of the transaction’s counterparty.


                Possible values are:

                - `SWIFT_BIC`;

                - Empty for external transaction (i.e. when
                `is_external_transaction == true`) **without BIC**.
        swift_income:
          type:
            - object
            - 'null'
          properties:
            counterparty_account_number:
              type: string
              description: >-
                Account number of the transaction’s counterparty. Might be empty
                for external transaction (i.e. when `is_external_transaction ==
                true`).
            counterparty_account_number_format:
              type: string
              description: >-
                Account number format of the transaction’s counterparty.


                Possible values are:

                - `unstructured`;

                -  Might be empty for external transaction (i.e. when
                `is_external_transaction == true`).
            counterparty_bank_identifier:
              type: string
              description: >-
                Bank identifier of the transaction’s counterparty. Might be
                empty for external transaction (i.e. when
                `is_external_transaction == true`).
            counterparty_bank_identifier_format:
              type: string
              description: >-
                Bank identifier format of the transaction’s counterparty.


                Possible values are:

                - `sort_code`;

                - Might be empty for external transaction (i.e. when
                `is_external_transaction == true`).
        direct_debit:
          type:
            - object
            - 'null'
          properties:
            counterparty_account_number:
              type: string
              description: >-
                Account number of the transaction’s counterparty. Might be empty
                for external transaction (i.e. when `is_external_transaction ==
                true`).
            counterparty_account_number_format:
              type: string
              description: >
                Account number format of the transaction’s counterparty.


                Possible values are:

                - `IBAN`;

                -  Empty for external transaction (i.e. when
                `is_external_transaction == true`) **without IBAN**.
            counterparty_bank_identifier:
              type: string
              description: >-
                Bank identifier of the transaction’s counterparty. Might be
                empty for external transaction (i.e. when
                `is_external_transaction == true`).
            counterparty_bank_identifier_format:
              type: string
              description: >-
                Bank identifier format of the transaction’s counterparty.


                Possible values are:

                - `SWIFT_BIC`;

                - Empty for external transaction (i.e. when
                `is_external_transaction == true`) **without BIC**.
            unique_mandate_reference:
              type: string
              description: Unique mandate reference for the Direct Debit.
              example: FR12ZZZ123456
        check:
          type:
            - object
            - 'null'
          properties:
            check_number:
              type: string
            check_key:
              type: string
        financing_installment:
          type:
            - object
            - 'null'
          properties:
            total_installments_number:
              type: integer
              description: Installment of the current transaction.
            current_installment_number:
              type: integer
              description: Total number of installments.
        pagopa_payment:
          type:
            - object
            - 'null'
          properties:
            notice_number:
              type: string
              description: >-
                Code in the PagoPA Payment Advice that identifies the payment
                notice, to be used for payments with PagoPA (i.e.
                codice_avviso).
            creditor_fiscal_code:
              type: string
              description: >-
                Code in the PagoPA Payment Notice that identifies the creditor
                institution, to be used for PagoPA payments (i.e. codice_ent)
            iuv:
              type: string
              description: >-
                Unique Payment Identifier (UPI) is the code that uniquely
                identifies exclusively a requested payment.
        direct_debit_collection:
          type:
            - object
            - 'null'
          properties:
            counterparty_account_number:
              type: string
              description: Account number of the transaction’s counterparty.
            counterparty_account_number_format:
              type: string
              description: Account number format of the transaction’s counterparty.
            counterparty_bank_identifier:
              type: string
              description: Bank identifier of the transaction’s counterparty.
            counterparty_bank_identifier_format:
              type: string
              description: Bank identifier format of the transaction’s counterparty.
            unique_mandate_reference:
              type: string
              description: Unique mandate reference for the Direct Debit Collection.
        direct_debit_hold:
          type:
            - object
            - 'null'
          properties:
            guarding_rate:
              type: string
      x-examples:
        Transaction from a Qonto bank account:
          id: 01910d82-014a-7783-b40c-41021851726e
          transaction_id: cooperative-boulangere-sud-2161-1-transaction-1910d8-20148
          amount: 1425.6
          amount_cents: 142560
          settled_balance: 41995921.54
          settled_balance_cents: 4199592154
          attachment_ids: []
          logo:
            small: https://qonto.com/customized-qonto-brand-logos/small.png
            medium: https://qonto.com/customized-qonto-brand-logos/medium.png
          local_amount: 1425.6
          local_amount_cents: 142560
          side: debit
          operation_type: qonto_fee
          currency: EUR
          local_currency: EUR
          label: Qonto
          settled_at: '2024-08-01T10:35:09.027Z'
          emitted_at: '2024-08-01T10:35:07.526Z'
          created_at: '2024-08-01T10:35:07.526Z'
          updated_at: '2024-08-01T10:35:09.512Z'
          status: completed
          note: null
          reference: null
          vat_amount: 237.6
          vat_amount_cents: 23760
          vat_rate: 20
          initiator_id: null
          label_ids: []
          attachment_lost: false
          attachment_required: true
          card_last_digits: null
          category: subscription
          cashflow_category:
            name: Others
          cashflow_subcategory:
            name: Tips
          subject_type: BillingTransfer
          bank_account_id: e97d6e4b-8179-47ae-88e9-3e43b230251e
          is_external_transaction: false
        Transaction from an external account.:
          id: 0191221f-258b-7bac-b83e-235fe00ff591
          transaction_id: cooperative-boulangere-sud-2161-4-transaction-191221-f2535
          amount: 11.99
          amount_cents: 1199
          settled_balance: null
          settled_balance_cents: null
          attachment_ids: []
          logo:
            small: https://qonto.com/customized-qonto-brand-logos/small.png
            medium: https://qonto.com/customized-qonto-brand-logos/medium.png
          local_amount: 11.99
          local_amount_cents: 1199
          side: debit
          operation_type: other
          currency: EUR
          local_currency: EUR
          label: Arcade Software Inc.
          clean_counterparty_name: Arcade Software
          settled_at: '2024-06-25T00:00:00.000Z'
          emitted_at: '2024-06-25T00:00:00.000Z'
          created_at: '2024-06-25T00:00:00.000Z'
          updated_at: '2024-08-05T10:39:12.181Z'
          status: completed
          note: null
          reference: null
          vat_amount: null
          vat_amount_cents: null
          vat_rate: null
          initiator_id: null
          label_ids: []
          attachment_lost: false
          attachment_required: true
          card_last_digits: null
          category: other_expense
          cashflow_category:
            name: Others
          cashflow_subcategory:
            name: Tips
          subject_type: Other
          bank_account_id: 0191221f-2452-735f-9144-bff2ca4fa8a4
          is_external_transaction: true
    Pagination:
      type: object
      description: Metadata for paginated responses
      required:
        - current_page
        - next_page
        - prev_page
        - total_pages
        - total_count
        - per_page
      properties:
        current_page:
          type: integer
          description: The current page number
          example: 2
        next_page:
          type:
            - integer
            - 'null'
          description: The next page number (null if on last page)
          example: 3
        prev_page:
          type:
            - integer
            - 'null'
          description: The previous page number (null if on first page)
          example: 1
        total_pages:
          type: integer
          description: Total number of pages
          example: 11
        total_count:
          type: integer
          description: Total number of items across all pages
          example: 210
        per_page:
          type: integer
          description: Number of items per page
          example: 20
    UnprocessableEntityError:
      type: object
      properties:
        status:
          type: string
          example: unprocessable entity
        code:
          type: string
          description: Error code.
          example: missing_key
        detail:
          type: string
          description: Human readable error that explains error `code`.
          example: property is missing
        message:
          type: string
          example: property id is missing
        source:
          type: object
          properties:
            pointer:
              type: string
              description: >-
                The property and the item in an array (if applicable) that
                causes the error.
              example: id
      required:
        - code
        - detail
      x-examples:
        Missing property:
          code: missing_key
          detail: property is missing
          source:
            pointer: /external_transfer/atrribute
    BadRequestResponseBody:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/BadRequestError'
      required:
        - errors
    UnauthorizedResponseBody:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/UnauthorizedError'
      required:
        - errors
    ForbiddenResponseBody:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ForbiddenError'
      required:
        - errors
    BadRequestError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
        source:
          type: object
          properties:
            pointer:
              type: string
              description: >-
                The property in the request body that caused the error
                (optional).
            parameter:
              type: string
              description: The query parameter that caused the error (optional).
      required:
        - code
        - detail
      x-examples:
        Authorization field missing:
          code: bad_request
          detail: Authorization field missing
    UnauthorizedError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
      required:
        - code
        - detail
      x-examples:
        Invalid credentials:
          code: unauthorized
          detail: Invalid credentials
    ForbiddenError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
      required:
        - code
        - detail
      x-examples:
        Insufficient permissions:
          code: forbidden
          detail: User does not have sufficient permissions for this action.
  responses:
    400-Bad-request:
      description: Returns a bad request error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BadRequestResponseBody'
          examples:
            Authorization field missing:
              value:
                errors:
                  - code: bad_request
                    detail: Authorization field missing
    401-Unauthorized:
      description: Returns an unauthorized error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UnauthorizedResponseBody'
          examples:
            authorization_header_missing:
              value:
                errors:
                  - code: authorization_header_missing
                    detail: authorization header missing
            authorization_token_invalid:
              value:
                errors:
                  - code: authorization_token_invalid
                    detail: authorization token invalid
    403-Forbidden:
      description: Returns a forbidden error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ForbiddenResponseBody'
          examples:
            Insufficient permissions:
              value:
                errors:
                  - code: forbidden
                    detail: User does not have sufficient permissions for this action.
    500-Internal-Server-Error:
      description: Returns an internal server error.
  securitySchemes:
    OAuth:
      type: oauth2
      description: >
        Bearer authorization header: `Bearer <token>`, where `<token>` is the
        access token received from the authorization server at the end of the
        [OAuth 2.0
        flow](/get-started/business-api/authentication/oauth/oauth-flow).
      flows:
        authorizationCode:
          refreshUrl: https://oauth.qonto.com/oauth2/token
          authorizationUrl: https://oauth.qonto.com/oauth2/auth
          scopes:
            attachment.read: Retrieve attachments
            attachment.write: Upload attachments and remove attachments from transactions
            bank_account.write: Create, update and close bank accounts
            beneficiary.trust: Trust SEPA beneficiaries
            card.read: Retrieve cards
            card.write: Create or update cards
            client.read: Retrieve clients
            client.write: Create clients
            client_invoice.write: Create client invoices
            client_invoices.read: Retrieve client invoices and credit notes
            einvoicing.read: Retrieve e-invoicing settings
            embed_auth_link.write: Create Embed auth links
            insurance_contract.read: Retrieve insurance contracts
            insurance_contract.write: Create and update insurance contracts
            internal_transfer.write: >-
              Create internal transfers (between 2 Qonto accounts of the same
              organization)
            international_transfer.write: Create international transfers
            membership.read: Retrieve the authentified membership
            membership.write: Invite team members
            offline_access: Retrieve a refresh token
            organization.read: >-
              Retrieve organization, bank accounts, transactions, transfers,
              beneficiaries, labels, memberships, requests & statements
            payment.write: Create external transfers and untrust beneficiaries
            payment_link.read: >-
              Retrieve payment links, their payments, and the available payment
              methods
            payment_link.write: >-
              Connect to the payment links provider, create and deactivate
              payment links
            product.read: Retrieve products
            product.write: Create products
            request_cards.write: Create card requests
            request_review.write: Approve or decline requests
            request_transfers.write: Create transfer requests
            sepa_direct_debit.read: View SEPA Direct Debit payments
            sepa_direct_debit.write: Manage SEPA Direct Debit payments
            supplier_invoice.read: Retrieve supplier invoices
            supplier_invoice.write: Create supplier invoices
            team.read: Retrieve teams
            team.write: Create teams
            terminal.read: View your payment terminals
            terminal.write: Configure your terminals and initiate payments
            webhook: >-
              Receive a notification each time a particular event occurs in
              Qonto
          tokenUrl: https://oauth.qonto.com/oauth2/token
    SecretKey:
      type: apiKey
      description: cf. [API key](/get-started/business-api/authentication/api-key)
      name: Authorization
      in: header

````